On this page
team.list
List members and pending invitations
Request
GET /api/v1/team
- MCP:
team_list - SDK:
client.team.list(SDK path arguments usepath; MCP usesparams). - Minimum API key role: viewer.
- Idempotency: none.
Use the request schema below. Read IDs from earlier operation results.
Input schema
json
{
"parameters": [],
"requestBody": null
}
Responses
json
{
"200": {
"description": "List members and pending invitations",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TeamListResponse200"
}
}
}
},
"4XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"5XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}
Referenced schemas
json
{
"components": {
"schemas": {
"TeamListResponse200": {
"type": "object",
"properties": {
"members": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TeamSetRoleResponse200"
}
},
"invitations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TeamInviteResponse201"
}
}
},
"required": [
"members",
"invitations"
],
"additionalProperties": false
},
"TeamSetRoleResponse200": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"format": "uuid"
},
"email": {
"type": "string",
"pattern": "^(?!\\.)(?!.*\\.\\.)([a-zA-Z0-9_'+\\-\\.]*)[a-zA-Z0-9_+-]@([a-zA-Z0-9][a-zA-Z0-9\\-]*\\.)+[a-zA-Z]{2,}$"
},
"name": {
"type": "string",
"maxLength": 256,
"nullable": true
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"can_dial": {
"type": "boolean"
},
"joined_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"user_id",
"email",
"name",
"role",
"can_dial",
"joined_at"
],
"additionalProperties": false
},
"TeamInviteResponse201": {
"type": "object",
"properties": {
"invitation_id": {
"type": "string",
"format": "uuid"
},
"email": {
"type": "string",
"pattern": "^(?!\\.)(?!.*\\.\\.)([a-zA-Z0-9_'+\\-\\.]*)[a-zA-Z0-9_+-]@([a-zA-Z0-9][a-zA-Z0-9\\-]*\\.)+[a-zA-Z]{2,}$"
},
"role": {
"type": "string",
"enum": [
"admin",
"member",
"viewer"
]
},
"expires_at": {
"type": "string",
"format": "date-time"
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"invitation_id",
"email",
"role",
"expires_at",
"created_at"
],
"additionalProperties": false
},
"ApiError": {
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string",
"enum": [
"unauthenticated",
"forbidden",
"not_found",
"conflict",
"invalid_request",
"idempotency_conflict",
"policy_denied",
"capability_unavailable",
"provider_unavailable",
"knowledge_unavailable",
"publication_invalid",
"run_not_active",
"rate_limited",
"outcome_unknown",
"internal"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"outcome": {
"type": "string",
"enum": [
"none",
"unknown"
]
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"code",
"message",
"retryable",
"outcome"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}
}
}
}
Errors and recovery
See API error handling and Troubleshooting.
Related guides
Content version fa52bd5fMarkdown source